---
title: Child combinator
slug: Web/CSS/Child_combinator
tags:
  - CSS
  - Reference
  - Selector
  - Selectors
---
<div>{{CSSRef("Selectors")}}</div>

<p>The <strong>child combinator</strong> (<code>&gt;</code>) is placed between two CSS selectors. It matches only those elements matched by the second selector that are the direct children of elements matched by the first.</p>

<pre class="brush: css no-line-numbers notranslate">/* List items that are children of the "my-things" list */
ul.my-things &gt; li {
  margin: 2em;
}</pre>

<p>Elements matched by the second selector must be the immediate children of the elements matched by the first selector. This is stricter than the <a href="/en-US/docs/Web/CSS/Descendant_combinator">descendant combinator</a>, which matches all elements matched by the second selector for which there exists an ancestor element matched by the first selector, regardless of the number of "hops" up the DOM.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">selector1 &gt; selector2 { <em>style properties</em> }
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">span {
  background-color: white;
}

div &gt; span {
  background-color: DodgerBlue;
}
</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;span&gt;Span #1, in the div.
    &lt;span&gt;Span #2, in the span that's in the div.&lt;/span&gt;
  &lt;/span&gt;
&lt;/div&gt;
&lt;span&gt;Span #3, not in the div at all.&lt;/span&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", "100%", 100)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Selectors", "#child-combinators", "child combinator")}}</td>
   <td>{{Spec2("CSS4 Selectors")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Selectors", "#child-combinators", "child combinators")}}</td>
   <td>{{Spec2("CSS3 Selectors")}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "selector.html#child-selectors", "child selectors")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.child")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Descendant_combinator">Descendant combinator</a></li>
</ul>
